> For the complete documentation index, see [llms.txt](https://docs.remote.it/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.remote.it/developer-tools/api/usage/access-keys.md).

# Access Keys

Create, disable and delete the access keys that authenticate you to the Remote.It API. Secret keys cannot be retrieved once lost.

Access keys are used to authenticate you with our API. You can create a new key or delete an existing key at any time. You can also temporarily disable a key.

## Creating an Access Key

{% hint style="warning" %}
**If you lose or forget your secret key, you cannot retrieve it.** You can create a new access key and disable/delete the other. There is a limit of 2 access keys.
{% endhint %}

```
mutation {
  createAccessKey {
    key
    secret
  }
}
```

Response Example

```
{
  "data": {
    "createAccessKey": {
      "key": "YX62XXXXXXXXXX6YB",
      "secret": "XXXXXXXXXXXXXX"
    }
  }
}
```

## Disable/Enable an Access Key

This request will disable/enable an existing access key. Arguments must pass the access key id (not the secret) and enabled as a boolean

```
mutation {
    updateAccessKey(key:"YX62XXXXXXXXXX6YB", enabled: false) {
        key
        enabled
    }
}
```

Response Example

```
{
  "data": {
    "updateAccessKey": {
      "key": "YX62XXXXXXXXXX6YB",
      "enabled": false
    }
  }
}
```

## Delete an Access Key

This mutation will delete the access key permanently.

{% hint style="danger" %}
Any API or CLI requests using this access key will start failing authentication when this is completed.
{% endhint %}

```
mutation {
  deleteAccessKey (key: "YXXXXXXXXXXXX6YB") 
}
```

Response Example

```
{
  "data": {
    "deleteAccessKey": true
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.remote.it/developer-tools/api/usage/access-keys.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
